PROGRAM easter

  IMPLICIT NONE 

  INTEGER :: r1, r2, r3, r4, r5, ra, rb, rc
  INTEGER :: year

  PRINT *, "Dwse to etos"
  READ *, year

  r1 = MOD(year, 19)
  r2 = MOD(year, 4)
  r3 = MOD(year, 7)
  ra = 19 * r1 + 16
  r4 = MOD(ra,30)
  rb = 2 * r2 + 4 * r3 + 6 * r4
  r5 = MOD(rb, 7)
  rc = r4 + r5 + 3

  IF (rc <= 30) THEN 
     PRINT *, "To Pasxa peftei stis ", rc, " Apriliou ", year
  ELSE
     PRINT *, "To Pasxa peftei stis ", rc-30, " Maiou ", year
  END IF

END PROGRAM easter
